Name:           prelude-lml
Version:        5.2.0
Release:        %mkrel 7
Summary:        Prelude SIEM LML - Log Analyzer Sensor
License:        GPLv2+
Group:          Networking/Other
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Source5:        prelude-lml.init
Patch8:         0008-Use-the-new-PCRE2-API.patch
BuildRequires:  chrpath
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(icu-io)
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libprelude) >= %{version}

Requires(post): rpm-helper
Requires(preun): rpm-helper
Obsoletes:      prelude-nids < %{version}-%{release}
Provides:       prelude-nids = %{version}-%{release}

%description
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude SIEM suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected.

%package        devel
Summary:        Libraries, includes, etc. to develop Prelude Log Analyzer Sensor
Group:          Development/C
Requires:       %{name} = %{version}

%description    devel
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude SIEM suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected.
The devel headers.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
    --bindir=%{_sbindir} \
    --enable-shared \
    --disable-static \
    --with-libprelude-prefix=%{_prefix}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE5} %{buildroot}%{_initrddir}/%{name}

%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/prelude-lml

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING HACKING.README
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%dir %{_libdir}/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/*.so
%dir %{_localstatedir}/lib/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.rules
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.conf

%files devel
%doc AUTHORS ChangeLog NEWS README
%license COPYING HACKING.README
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h


%changelog
* Thu Apr 13 2023 daviddavid <daviddavid> 5.2.0-7.mga9
+ Revision: 1952915
- switch to pcre2 (mga#31791)

* Sat Jan 07 2023 squidf <squidf> 5.2.0-6.mga9
+ Revision: 1931156
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 5.2.0-5.mga9
+ Revision: 1864886
- rebuild for icu 71.1

* Tue Mar 29 2022 umeabot <umeabot> 5.2.0-4.mga9
+ Revision: 1833064
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 5.2.0-3.mga9
+ Revision: 1738960
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.2.0-2.mga8
+ Revision: 1650918
- rebuild for icu

* Fri Sep 18 2020 daviddavid <daviddavid> 5.2.0-1.mga8
+ Revision: 1628535
- new version: 5.2.0

* Wed Jul 01 2020 wally <wally> 5.1.0-4.mga8
+ Revision: 1601054
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 5.1.0-3.mga8
+ Revision: 1564491
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 5.1.0-2.mga8
+ Revision: 1536665
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 20 2019 daviddavid <daviddavid> 5.1.0-1.mga8
+ Revision: 1454763
- new version: 5.1.0

* Sat Oct 05 2019 daviddavid <daviddavid> 5.0.0-2.mga8
+ Revision: 1449483
- rebuild for new icu 65.1

* Sun Feb 24 2019 daviddavid <daviddavid> 5.0.0-1.mga7
+ Revision: 1369825
- new version: 5.0.0

* Fri Jan 11 2019 daviddavid <daviddavid> 4.1.0-3.mga7
+ Revision: 1354812
- rebuild for new icu

* Mon Aug 27 2018 daviddavid <daviddavid> 4.1.0-2.mga7
+ Revision: 1254932
- rebuild for new icu

* Sat Jan 13 2018 daviddavid <daviddavid> 4.1.0-1.mga7
+ Revision: 1192720
- new version: 4.1.0

* Fri Dec 29 2017 wally <wally> 4.0.0-2.mga7
+ Revision: 1187003
- rebuild for new icu

* Sat Sep 23 2017 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1157807
- new version: 4.0.0
- update Summary and description

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 3.1.0-2.mga6
+ Revision: 1093100
- Rebuild for icu-58.2

* Sat Oct 15 2016 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 1060912
- new version: 3.1.0 (mga#19451)
- update BRs list

* Sat May 14 2016 shlomif <shlomif> 1.2.6-4.mga6
+ Revision: 1015283
- Rebuild for the new UCI (new major)

* Fri Jan 22 2016 daviddavid <daviddavid> 1.2.6-3.mga6
+ Revision: 926516
- rebuild for new gnutls 3.4.8

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.2.6-2.mga6
+ Revision: 917916
- rebuild for icu

* Fri Sep 11 2015 fwang <fwang> 1.2.6-1.mga6
+ Revision: 876900
- br icu
- br icu
- 1.2.6

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 742227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 687771
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 517689
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-3.mga3
+ Revision: 378203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.0.1-2.mga3
+ Revision: 323834
- rebuild for new pcre

* Mon Sep 17 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 294790
- disable unsupported ruleset
- fix build with latest glibc
- disable static
- new version 1.0.1

* Sun Apr 29 2012 colin <colin> 1.0.0-3.mga2
+ Revision: 234253
- Add LSB headers to initscripts (mga#5262)

* Sun Mar 06 2011 ennael <ennael> 1.0.0-2.mga1
+ Revision: 65644
- imported package prelude-lml


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2011.0
+ Revision: 607207
- rebuild

* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 538663
- new version 1.0.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.15-2mdv2010.1
+ Revision: 523707
- rebuilt for 2010.1

* Fri Jul 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.15-1mdv2010.0
+ Revision: 399132
- update to new version 0.9.15

* Fri Oct 17 2008 Funda Wang <fwang@mandriva.org> 0.9.14-1mdv2009.1
+ Revision: 294710
- New version 0.9.14

* Thu Aug 21 2008 Funda Wang <fwang@mandriva.org> 0.9.13-1mdv2009.0
+ Revision: 274721
- New version 0.9.13

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.9.12.2-1mdv2009.0
+ Revision: 238159
- New version 0.9.12.2

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.9.11-1mdv2008.1
+ Revision: 156155
- New version 0.9.11

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.9.10.1-3mdv2008.1
+ Revision: 156136
- BR prelude
- rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 David Walluck <walluck@mandriva.org> 0.9.10.1-1mdv2008.0
+ Revision: 60516
- 0.9.10.1

* Sat May 19 2007 David Walluck <walluck@mandriva.org> 0.9.10-1mdv2008.0
+ Revision: 28529
- 0.9.10
- move prelude-lml to %%{_sbindir} from %%{_bindir}
- run %%{_bindir}/chrpath -d on prelude-lml
- more explicit file permissions
- remove BuildRequires on autoconf2.5 and automake1.8

* Thu May 17 2007 David Walluck <walluck@mandriva.org> 0.9.9-2mdv2008.0
+ Revision: 27668
- version Obsoletes/Provides for prelude-nids
- don't regenerate configure
- don't echo_success when prelude-lml starts

* Wed May 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.9-1mdv2008.0
+ Revision: 20542
- New release 0.9.9


* Thu Dec 21 2006 David Walluck <walluck@mandriva.org> 0.9.8.1-1mdv2007.0
+ Revision: 100906
- 0.9.8.1

* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 98032
- 0.9.8

* Fri Nov 03 2006 David Walluck <walluck@mandriva.org> 0.9.7-7mdv2007.1
+ Revision: 76066
- fix directory

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0.9.7-6mdv2007.1
+ Revision: 75993
- fix lib path on x86-64

* Wed Nov 01 2006 David Walluck <walluck@mandriva.org> 0.9.7-5mdv2007.1
+ Revision: 74970
- fix _localstatedir

* Wed Nov 01 2006 David Walluck <walluck@mandriva.org> 0.9.7-4mdv2007.1
+ Revision: 74961
- call chkconfig
- add initscript

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0.9.7-2mdv2007.0
+ Revision: 71046
- fix build
- remove onceonly patch (fixed upstream)
- 0.9.7
- Import prelude-lml

* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-1mdv2007.0
- 0.9.6
- added P1 (missing m4 macros)

* Fri Jun 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
- rebuilt against gnutls-1.4.0
- fix deps

* Thu May 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdk
- 0.9.5

* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdk
- 0.9.4

* Wed Feb 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdk
- 0.9.3 (Major bugfixes)

* Wed Feb 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdk
- iurt fixes

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2 (Major feature enhancements)

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-4mdk
- rebuilt against openssl-0.9.8a

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-3mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs
- fix conflicting declaration with MySQL-4.1.x
- fix deps

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.8.6-2mdk
- rebuild for new gcc
- [DIRM]

* Sun May 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6
- use %%configure macro
- wipe out $RPM_BUILD_ROOT before installing

